<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Program Studi</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Study Program </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/setting/prody/form}" class="btn btn-sm btn-default"><i class="fas fa-plus-circle"></i> Add</a>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Fakultas</th>
                                <th scope="col">Jenjang</th>
                                <th scope="col">Program Studi</th>
                                <th scope="col">Kode PDDIKTI</th>
                                <th scope="col">Keterangan</th>
                                <th scope="col" width="30px"></th>
                                <th scope="col" width="40px"></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data,row : ${list}">
                                <td th:text="${(row.index + 1) + (list.number * list.size)}">1</td>
                                <td th:text="${data.fakultas.namaFakultas}">Name Prodi</td>
                                <td th:text="${data.idJenjang.namaJenjang}">Name Prodi</td>
                                <td>
                                    <a class="btn btn-success btn-outline-success btn-sm"
                                       th:if="${data.status.AKTIF} == ${data.status}"
                                       th:text="${data.namaProdi + '    ' + '(' + data.kodeProdi + ')' }"
                                       th:href="@{/setting/prody/form(id = ${data.id})}">
                                    </a>

                                    <a class="btn btn-danger btn-outline-danger btn-sm"
                                       th:if="${data.status.NONAKTIF} == ${data.status}"
                                       th:text="${data.namaProdi + '    ' + '(' + data.kodeProdi + ')'}"
                                       th:href="@{/setting/prody/form(id = ${data.id})}">
                                    </a>
                                </td>
                                <td th:text="${data.kodePddikti}">Kode Prodi PDDIKTI</td>
                                <td th:text="${data.keterangan}">Name Prodi</td>
                                <td>
                                    <form method="post" th:action="@{/setting/prody/delete(prodi = ${data.id})}">
                                        <button type="submit" class="btn btn-danger btn-sm"
                                                onclick="return confirm('Are you sure? Once deleted, you will not be able' +
                                                                 ' to recover this imaginary file!')">
                                            <i class="fas fa-trash"></i>
                                        </button>
                                    </form></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>

                </div>
                <div class="card-footer py-4">
                    <nav aria-label="...">
                        <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                            <li class="disabled"><a href="#" aria-label="Previous"><span
                                    aria-hidden="true">&laquo;</span></a>
                            </li>
                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                            </li>
                        </ul>
                    </nav>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>